%define anolis_release 1
%global pypi_name preshed
%global pypi_version 4.0.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Cython hash table that trusts the keys are pre-hashed

License:        MIT
URL:            https://github.com/explosion/preshed
Source0:        %{pypi_source}

BuildRequires:  python3-devel pytest
BuildRequires:  (python3dist(cymem) >= 2.0.2 with python3dist(cymem) < 2.1~~)
BuildRequires:  (python3dist(murmurhash) >= 0.28 with python3dist(murmurhash) < 1.1~~)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(cython)

%description
Simple but high performance Cython hash table mapping pre-randomized keys to void* values.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       (python3dist(cymem) >= 2.0.2 with python3dist(cymem) < 2.1~~)
Requires:       (python3dist(murmurhash) >= 0.28 with python3dist(murmurhash) < 1.1~~)
%description -n python3-%{pypi_name}
Simple but high performance Cython hash table mapping pre-randomized keys to void* values.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install


%check
%{__python3} setup.py test


%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Fri Feb 02 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 4.0.0-1
- Initial package.
